Order Notification

Purpose

Digital orders created from Deliverect integrated channels will deliver a webhook event in real-time to a specified endpoint provided by the POS.

This order will contain the products, prices, payment information and any customer info provided by the channel.

Order Model

For a full list of all order attributes and their definitions, see the link below;

Order Types

Each orderType listed below should be supported as part of a POS integration, where the type of order is clearly displayed to the user in the POS interface and on related printed checks and receipts.

TypeInteger Value
pickup1
delivery2
eat in3
curbside4

Direct Table Ordering

To see how to include support for table ordering for 'eat in' orders, see more details in the link below;

Payments

Details on processing payments, taxes, discounts and other charges in the link below;

Order Cancellations

Cancellations will also be sent to the order notification webhook URL, see how to receive and process these correctly in the guide below;

Status Updates

After responding to confirm receipt of the order webhook, order status updates thereafter should be sent asynchronously via the endpoint below;

Failover Flow

For the failover process when an initial connection isn't possible see details of our retry mechanism in the link below;

Body Params
date-time
date-time
string
string
string
string
string
string
string
string
string
integer
statusHistory
array of objects
statusHistory
packaging
object
string
integer
integer
integer
rating
array
rating
date-time
date-time
boolean
courier
object
courierUpdateHistory
array of objects
courierUpdateHistory
customer
object
deliveryAddress
object
boolean
taxes
array
taxes
payment
object
string
items
array of objects
items
integer
integer
string
channelOrderHistoryRawIds
array of strings
channelOrderHistoryRawIds
number
number
number
number
number
number
number
discounts
array of objects
discounts
capacityUsages
array
capacityUsages
boolean
string
string
boolean
string
integer
tags
array of strings
tags
Response
200

200

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!